Bug 486010 - Review Request: mrbs - Meeting Room Booking System
Review Request: mrbs - Meeting Room Booking System
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ankur Sinha (FranciscoD)
Fedora Extras Quality Assurance
:
Depends On: 486009
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-17 16:14 EST by Xavier Bachelot
Modified: 2010-09-15 14:29 EDT (History)
4 users (show)

See Also:
Fixed In Version: mrbs-1.4.4.1-1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-15 01:23:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sanjay.ankur: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Xavier Bachelot 2009-02-17 16:14:28 EST
Spec URL: http://www.bachelot.org/fedora/SPECS/mrbs.spec
SRPM URL: http://www.bachelot.org/fedora/SRPMS/mrbs-1.4-1.fc10.src.rpm
Description: 
he Meeting Room Booking System (MRBS) is a PHP-based application for booking meeting rooms.
Comment 1 Xavier Bachelot 2009-02-22 18:10:29 EST
New version :
Spec URL: http://www.bachelot.org/fedora/SPECS/mrbs.spec
SRPM URL: http://www.bachelot.org/fedora/SRPMS/mrbs-1.4.1-1.fc10.src.rpm
Comment 2 Xavier Bachelot 2009-07-16 11:16:48 EDT
Update to 1.4.2 :
Spec URL: http://www.bachelot.org/fedora/SPECS/mrbs.spec
SRPM URL: http://www.bachelot.org/fedora/SRPMS/mrbs-1.4.2-1.fc10.src.rpm
Comment 3 Ankur Sinha (FranciscoD) 2010-02-22 10:38:34 EST
Can you please update to the current Fedora release?
Comment 4 Xavier Bachelot 2010-03-01 15:25:18 EST
Update to 1.4.3 :
Spec URL: http://www.bachelot.org/fedora/SPECS/mrbs.spec
SRPM URL: http://www.bachelot.org/fedora/SRPMS/mrbs-1.4.3-1.fc12.src.rpm
Comment 5 Ankur Sinha (FranciscoD) 2010-04-08 06:01:27 EDT
====  REVIEW ==== 

* MUST: rpmlint must be run on every package. The output should be posted in the review.
[Package@localhost SPECS]$ rpmlint mrbs.spec ../SRPMS/mrbs-1.4.3-1.fc12.src.rpm 
1 packages and 1 specfiles checked; 0 errors, 0 warnings.

rpmlint on mock output:

[Package@localhost rpmbuild]$ rpmlint /var/lib/mock/fedora-rawhide-i386/result/*.rpm
mrbs.noarch: E: zero-length /usr/share/mrbs/upgrade/5/pgsql.sql
mrbs.noarch: E: zero-length /usr/share/mrbs/upgrade/7/pgsql.sql
mrbs.noarch: E: zero-length /usr/share/mrbs/upgrade/6/pgsql.sql
2 packages and 0 specfiles checked; 3 errors, 0 warnings.


=== PLEASE CHECK===


* MUST: The package must be named according to the Package Naming Guidelines -> OK
* MUST: The spec file name must match the base package <code>%{name}</code>, in the format <code>%{name}.spec</code> unless your package has an exemption. OK
* MUST: The package must meet the Packaging Guidelines. OK
* MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines OK
* MUST: The License field in the package spec file must match the actual license.  OK
* MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in <code>%doc</code>. OK
* MUST: The spec file must be written in American English. OK
* MUST: The spec file for the package MUST be legible.  OK
* MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task.  If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this. OK
* MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. OK
* MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in <code>ExcludeArch</code>. Each architecture listed in <code>ExcludeArch</code> MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding <code>ExcludeArch</code> line. 
* MUST: All build dependencies must be listed in <code>BuildRequires</code>, except for any that are listed in the exceptions section of the Packaging Guidelines]] ; inclusion of those as <code>BuildRequires</code> is optional. Apply common sense.  OK
* MUST: The spec file MUST handle locales properly. This is done by using the <code>%find_lang</code> macro. Using <code>%{_datadir}/locale/*</code> is strictly forbidden. NA
* MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in <code>%post</code> and <code>%postun</code>.  NA
* MUST: Packages must NOT bundle copies of system libraries. OK
* MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.  OK
* MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.   OK
* MUST: A Fedora package must not list a file more than once in the spec file's %files listings. OK
* MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every <code>%files</code> section must include a <code>%defattr(...)</code> line.  OK
* MUST: Each package must consistently use macros.  OK
* MUST: The package must contain code, or permissable content. OK
* MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).  OK
* MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. OK
* MUST: Header files must be in a -devel package. NA
* MUST: Static libraries must be in a -static package. NA
* MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. NA
* MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: <code>Requires: %{name} = %{version}-%{release} </code> NA
* MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.NA
* MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. NA
* MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the <code>filesystem</code> or <code>man</code> package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. OK
* MUST: At the beginning of <code>%install</code>, each package MUST run <code>rm -rf %{buildroot}</code> ([[Packaging/Guidelines#UsingBuildRootOptFlags|or $RPM_BUILD_ROOT]]). OK
* MUST: All filenames in rpm packages must be valid UTF-8. OK

 

{{admon/important|SHOULD Items:|Items marked as SHOULD are things that the package (or reviewer) SHOULD do, but is not required to do.}}

* SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it. OK
* SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available. OK
* SHOULD: The reviewer should test that the package builds in mock. OK
* SHOULD: The package should compile and build into binary rpms on all supported architectures. 
* SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example. WILL CHECK
* SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity. NA
* SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency. NA
* SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg.  A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb. NA
* SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself. NA
* SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.NA
Comment 6 Ankur Sinha (FranciscoD) 2010-04-08 12:04:05 EDT
hey,

I'll need some time to test the actual working of the package. Please correct the rpmlint error above and you should be good to go. 

Ankur
Comment 7 Xavier Bachelot 2010-04-09 08:26:19 EDT
Thanks for the review.

About the zero length files, mrbs includes code to allow automatic modification of database schemas on update.These files are needed for this feature to work, even if they are empty.
Comment 8 Ankur Sinha (FranciscoD) 2010-04-09 14:07:02 EDT
(In reply to comment #7)
> Thanks for the review.
> 
> About the zero length files, mrbs includes code to allow automatic modification
> of database schemas on update.These files are needed for this feature to work,
> even if they are empty.    

I guess you're good to go then :)

XXXX APPROVED XXXX

please continue from 

http://fedoraproject.org/wiki/PackageMaintainers/Join#Add_Package_to_CVS_and_Set_Owner

Ankur
Comment 9 Xavier Bachelot 2010-04-09 15:44:49 EDT
New Package CVS Request
=======================
Package Name: mrbs
Short Description: Meeting Room Booking System
Owners: xavierb
Branches: F-11 F-12 F-13 EL-5
InitialCC:
Comment 10 Kevin Fenzi 2010-04-11 15:12:08 EDT
CVS done (by process-cvs-requests.py).
Comment 11 Fedora Update System 2010-04-16 05:13:05 EDT
mrbs-1.4.3-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/mrbs-1.4.3-1.fc13
Comment 12 Fedora Update System 2010-04-16 05:13:13 EDT
mrbs-1.4.3-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/mrbs-1.4.3-1.fc11
Comment 13 Fedora Update System 2010-04-16 05:13:18 EDT
mrbs-1.4.3-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/mrbs-1.4.3-1.el5
Comment 14 Fedora Update System 2010-04-16 05:13:23 EDT
mrbs-1.4.3-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/mrbs-1.4.3-1.fc12
Comment 15 Fedora Update System 2010-04-16 19:37:30 EDT
mrbs-1.4.3-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mrbs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/mrbs-1.4.3-1.fc12
Comment 16 Fedora Update System 2010-04-16 19:42:00 EDT
mrbs-1.4.3-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mrbs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/mrbs-1.4.3-1.fc11
Comment 17 Fedora Update System 2010-04-16 19:46:52 EDT
mrbs-1.4.3-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mrbs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/mrbs-1.4.3-1.fc13
Comment 18 Fedora Update System 2010-04-19 19:23:04 EDT
mrbs-1.4.3-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mrbs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/mrbs-1.4.3-1.el5
Comment 19 Fedora Update System 2010-06-02 06:00:53 EDT
mrbs-1.4.4.1-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/mrbs-1.4.4.1-1.fc13
Comment 20 Fedora Update System 2010-06-02 06:01:02 EDT
mrbs-1.4.4.1-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/mrbs-1.4.4.1-1.el5
Comment 21 Fedora Update System 2010-06-02 06:01:07 EDT
mrbs-1.4.4.1-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/mrbs-1.4.4.1-1.fc12
Comment 22 Fedora Update System 2010-06-02 14:01:22 EDT
mrbs-1.4.4.1-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mrbs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/mrbs-1.4.4.1-1.fc13
Comment 23 Fedora Update System 2010-06-02 14:03:31 EDT
mrbs-1.4.4.1-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mrbs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/mrbs-1.4.4.1-1.fc12
Comment 24 Fedora Update System 2010-06-08 17:41:41 EDT
mrbs-1.4.4.1-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mrbs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/mrbs-1.4.4.1-1.el5
Comment 25 Fedora Update System 2010-09-15 01:23:04 EDT
mrbs-1.4.4.1-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2010-09-15 01:41:55 EDT
mrbs-1.4.4.1-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 27 Fedora Update System 2010-09-15 14:29:14 EDT
mrbs-1.4.4.1-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.